Subject: RE: [Megaco] question on Message Identifier (MID) of H.248 messages

From: "Kevin Boyle" <[email-masked]>
Date: Mon, 16 Jan 2006 14:23:02 -0500

This is correct.
 
Kevin

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Oikonomou, Ioannis
	Sent: Friday, January 13, 2006 3:46 AM
	To: [email-masked]
	Subject: [Megaco] question on Message Identifier (MID) of H.248
messages

	Hello,

	I have a question concerning the Message Identifier (MID) of
H.248 messages:

	*       In the H.248 standard it says that:

	The Message Identifier (MID) of a message is set to a
provisioned name (e.g. domain address/domain name/device name) of the
entity transmitting the message. Domain name is a suggested default. An
H.248.1 entity (MG/MGC) must consistently use the same MID in all
messages it originates for the duration of control association with the
peer (MGC/MG).

	*       In paragraph 3.1.1 (MGC accepting registration) of
draft-ietf-megaco-callflows document (Madhubabu, et al.), the following
flow is presented:

	Step 1:
	MG to MGC:
	   MEGACO/1 [209.110.59.34]: 20000
	   Transaction = 1234 {
	       Context = - {
	           ServiceChange = ROOT {Services {
	               Method=Restart,
	               ServiceChangeAddress=15000, Profile=ResGW/1,
	                      12345677T87654320}
	           }
	       }
	   }

	Step 2: 
	MGC to MG:
	   MEGACO/1 [216.33.33.61]:2944
	   Reply = 1234 {
	      Context = - {ServiceChange = ROOT {
	        Services {ServiceChangeAddress=25000, Profile=ResGW/1 , 
	                         12345678T87654321} } }
	   }

	Step 3:
	MGC to MG:
	   MEGACO/1 [216.33.33.61]:25000
	   Transaction = 9999 {
	       Context = - {
	           Modify = * {
	                  Events = 1234 {al/of}
	           }
	       }
	   }

	Step 4:
	MG to MGC:
	   MEGACO/1 [209.110.59.34]:15000
	   Reply = 9999 {
	      Context = - {Modify = A1}
	      Context = - {Modify = A2}
	      Context = - {Modify = A3}
	   }

	Because of port redirection by both sides (MG requests at Step 1
further communication to port 15000, MGC requests at Step 2 further
communication to port 25000), the MID of H.248 messages is changed:

	For MG: In Step 1 it uses "[209.110.59.34]:20000", while from
Step 4 and on, "[209.110.59.34]:15000" is used.

	For MGC: In Step 2 it uses "[216.33.33.61]:2944", while from
Step 3 and on, "[216.33.33.61]:25000" is used.

	*       Questions:

	My opinion is that the above procedure is correct; since port
redirection is used, it makes sense that the MID is changed once during
the registration procedure.

	What is your opinion?

	Thank you in advance,

	Ioannis Oikonomou

	Siemens AE

	Athens, Greece

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Elena Chaikovsky" <[email-masked]>
Date: Wed, 18 Jan 2006 10:31:46 -0800

Hello,

We have a problem with a clear definition of when two signals are the same.

This question is related to call flows including KeepActive flag.

>From reading of the following text from RFC 3525 section 7.1.11.

  "A new SignalsDescriptor replaces any existing SignalsDescriptor.  Any
   signals applied to the Termination not in the replacement descriptor
   shall be stopped, and new signals are applied, except as follows.
   Signals present in the replacement descriptor and containing the
   KeepActive flag shall be continued if they are currently playing and
   have not already completed.  If a replacement signal descriptor
   contains a signal that is not currently playing and contains the
   KeepActive flag, that signal SHALL be ignored."

What is the correct interpretation of
"Signals present in the replacement descriptor ..."?
Is it compared by "package/signalName" only or ALL signal parameters
are counted including duration, type, etc...?

For example: do the following two signals fit in to this category
of "Signals present in the replacement descriptor" and
what is the expected behaviour in this case considering KeepActive
flag in the second signal?

First signal:
         signals {
            an/apf {
               stream = 1,
               signaltype = TO,
               an = 14,
               notifycompletion =  { Timeout, IntByEvent, IntBySigDescr,
OtherReason }
             }

Replacement signal:
         signals {
            an/apf {
               stream = 1,
               signaltype = TO,
               an = 5,
               duration = 100,
               keepactive,
               notifycompletion =  { Timeout, IntByEvent, IntBySigDescr,
OtherReason }
             }

Thanks,

Elena Chaikovsky
Senior Software Developer Convedia Corporation
Email: [email-masked]

---

From: Christian Groves <[email-masked]>
Date: Thu, 19 Jan 2006 11:33:27 +1100

Hello Elena,

It is compared by all signal parameters. It is a combination of the 
signalID and parameters which make a signal unique.

Regards, Christian

---

From: "Elena Chaikovsky" <[email-masked]>
Date: Wed, 18 Jan 2006 16:58:49 -0800

Christian,

Thanks a lot for clarification.

Regards,
Elena

-----Original Message-----
From: Christian Groves [mailto:[email-masked]]
Sent: January 18, 2006 4:33 PM
To: Elena Chaikovsky
Cc: [email-masked]
Subject: Re: [Megaco] When two Signals are the same?

Hello Elena,

Regards, Christian